|
Menüeintrag |
---|
Formteil → Grundkörper erstellen... → Helix |
Arbeitsbereich |
Part, OpenSCAD |
Standardtastenkürzel |
Keiner |
Eingeführt in Version |
- |
Siehe auch |
Part Grundelemente |
Beschreibung
Eine Part Helix ist ein parametrischer Volumenkörper, der mit dem Befehl
Part Grundelemente erstellt werden kann. Im Koordinatensystem durch ihre Daten-EigenschaftPlacement festgelegt, fluchtet die Achse der Helix mit der Z-Achse und ihr unterer Startpunkt liegt auf der X-Achse.
Anwendung
Siehe Part Grundelemente.
Beispiel

Ein Part-Helix-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde, wird hier dargestellt.
Hinweise
- A Part Helix can be used to create screw threads. See Thread for Screw Tutorial.
Eigenschaften
Siehe auch: Eigenschafteneditor.
Ein Part-Helix-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:
Daten
Attachment
The object has the same attachment properties as a Part Part2DObject.
Coordinate System
- DatenLocal Coord (
Enumeration
): The handedness, or direction, of the helix:Right-handed
orLeft-handed
. The default isRight-handed
, meaning the helix turns counterclockwise as it goes up.
Helix
- DatenPitch (
Length
): The distance between two consecutive turns of the helix measured along its Z axis. The default is1mm
. - DatenHeight (
Length
): The height of the helix. The default is2mm
. - DatenRadius (
Length
): The start radius of the helix. The helix has a constant radius if DatenAngle is0°
. - DatenSegment Length (
QuantityConstraint
): The number of turns per helix subdivision. The default is1
, meaning each full turn of the helix is a separate segment. Use0
to suppress subdivision. - DatenAngle (
Angle
): The angle that defines of the outer shape of the helix. Valid range:-90° < value < 90°
. The default is0°
. If it is0°
the helix is cylindrical, else it is conical.
Skripten
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Helix can be created with the addObject()
method of the document:
helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
- Where
"myHelix"
is the name for the object. - The function returns the newly created object.
Beispiel:
import FreeCAD as App
doc = App.activeDocument()
helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))
doc.recompute()
Diese Seite wird abgerufen von https://wiki.freecad.org/Part_Helix